Intraday Data

Get ASX Energy intraday trading data

Base Endpoint

GET https://asxenergy.com.au/api/intraday

Parameters

Name Type Mandatory Description
futures STRING YES (mutually exclusive with options) Can get intraday data for a market code or a futures code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
Accepted Futures codes:
  • Initial code. E.g. BNH, EVJ
  • Exact code. E.g. HNZ2026, GNU2025
options STRING YES (mutually exclusive with futures) Can get intraday data for a market code or a futures code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
Accepted Options codes:
  • Initial code. E.g. BNZ, HQZ2026
  • Exact code. E.g. HNZ20260012000, EAH20260010000C

CSV Support

The API supports CSV-formatted responses when requested via the Accept header.
To receive data in CSV format, set the following header in your request:

Accept: text/csv

Examples

Futures Market Intraday Data

  • Request:
  • GET https://asxenergy.com.au/api/intraday?futures=nz_electricity
    
  • JSON Response
  • {
        "futures": "nz_electricity",
        "data": [
            // ...
            {
                "code": "EAH2028",
                "bid_size": null,
                "bid": null,
                "ask_size": null,
                "ask": null,
                "high": null,
                "low": null,
                "last": null,
                "net_change": null,
                "volume": null,
                "open_interest": "791",
                "open_interest_net_change": null,
                "settle": "149.75"
            },
            {
                "code": "EAM2025",
                "bid_size": null,
                "bid": null,
                "ask_size": null,
                "ask": null,
                "high": "343.30",
                "low": "332.50",
                "last": "336.05",
                "net_change": null,
                "volume": "63",
                "open_interest": "5461",
                "open_interest_net_change": null,
                "settle": "336.05"
            },
            // ...
        ]
    }
    
  • CSV Response
  • code,bid_size,bid,ask_size,ask,high,low,last,net_change,volume,open_interest,open_interest_net_change,settle
    EAH2025,,,,,,,,,,4090,,225.90
    EAH2026,,,,,180.00,180.00,180.00,,1,4105,,180.00
    EAH2027,,,,,,,,,,2042,,149.55
    EAH2028,,,,,,,,,,791,,149.75
    EAM2025,,,,,343.30,332.50,336.05,,63,5461,,336.05
    EAM2026,,,,,262.00,259.45,259.45,,98,3686,,259.45
    ...
    

Options Code Intraday Data

  • Request:
  • GET https://asxenergy.com.au/api/intraday?options=HNZ
    
  • JSON Response:
  • {
        "options": "HNZ",
        "data": {
            "put": [
                {
                    "code": "HNZ20260004000P",
                    "bid_size": null,
                    "bid": null,
                    "ask_size": null,
                    "ask": null,
                    "high": null,
                    "low": null,
                    "last": null,
                    "volume": null,
                    "open_interest": "25",
                    "open_interest_net_change": null,
                    "settle": null,
                    "implied_volatility": "30.97"
                },
                // ...
            ],
            "call": [
                {
                    "code": "HNZ20260004000C",
                    "bid_size": null,
                    "bid": null,
                    "ask_size": null,
                    "ask": null,
                    "high": null,
                    "low": null,
                    "last": null,
                    "volume": null,
                    "open_interest": "25",
                    "open_interest_net_change": null,
                    "settle": "80.30",
                    "implied_volatility": "13.00"
                },
                // ...
            ]
        ]
    }
    
  • CSV Response:
  • code,bid_size,bid,ask_size,ask,high,low,last,volume,open_interest,open_interest_net_change,settle,implied_volatility
    HNZ20260004000C,,,,,,,,,25,,80.30,13.00
    HNZ20260004000P,,,,,,,,,25,,,30.97
    HNZ20260004100C,,,,,,,,,,,79.30,13.00
    HNZ20260004100P,,,,,,,,,,,,30.97
    HNZ20260004200C,,,,,,,,,,,78.30,13.00
    HNZ20260004200P,,,,,,,,,,,,30.97
    ...